# KGB

## Description

The `KGB` module sets up a [KGB bot](https://salsa.debian.org/kgb-team) that can be used to broadcast
various announcements on IRC.

## Setup

When the server is configured, it will install the `kgb-bot` package,
overwrite its config and start the service.

## Usage

To setup a bot with the default configuration:

    include kgb

By default, the server will listen only locally, use the
`$listen_address` and `$listen_port` parameters to change that:

    class { 'kgb':
        listen_address => '*',
        listen_port    => '80',
    }

## Limitations

The module doesn't currently configure repositories, network or
channels, and it should.

The module should have a mechanism to create new clients and import
their config on the server.

There are no unit tests.
